// Reloader utility
// Copyright (c) 2001 Alexander Ananiev & MyArch.com.  All rights reserved.




/**
 * This class is used to test reloading from the custom classpath which is not
 * on the JVM classpath.
 * <p>Compile this class and copy the class file into some directory which is not on the classpath.
 * This directory should be passed as a parameter to <code>ReloaderSamples</code>.
 * When you run sample application (test 5), change the println text, recompile it and copy it
 * again.
 * All classes in the directory are reloaded.
 *
 */
public class TestClassCustomPath implements TestIface {

    public void print() {
      System.out.println( this.getClass().getName()+"To test reloading, change this text and compile");
    }


}