// Reloader utility
// Copyright (c) 2001 Alexander Ananiev & MyArch.com.  All rights reserved.

package testclass;

import TestIface;

/**
 * This class is used to test class reloading and by <code>ReloaderSamples</code>.
 * The class is reloaded and then <code>print</code> is called.
 * <br>It also calls <code>TestClass2</code> to demonstrate the reloading of the called
 * class.
 *
 * @author Alexander Ananiev
 */
public class TestClass implements TestIface {

    public void print() {
      System.out.println( this.getClass().getName()+"To test reloading, change this text and compile");
      new TestClass2().print();
    }


}