// Reloader utility
// Copyright (c) 2001 Alexander Ananiev & MyArch.com.  All rights reserved.

package com.myarch.reloader;

/**
 * @author Alexander Ananiev
 */

class ClassNameUtil {
  static String getPackageName( String className ) {
    int classPosition = className.lastIndexOf('.');
    // ensures that class without package is processed correctly
    if (classPosition < 0)
      classPosition = 0;

    return (className.substring(0, classPosition) );
  }
}