// Reloader utility
// Copyright (c) 2001 Alexander Ananiev & MyArch.com.  All rights reserved.


/**
 * Test classes should implement this interface. After the test class is
 * reloaded, it is cast to this interface. The interface itself
 * should not be reloaded, since it is used by <code>ReloaderSamples</code> directly.
 * <br>Cast exception is thrown if it is nevertheless reloaded.
 */
public interface TestIface{
  public void print();

}