// Reloader utility
// Copyright (c) 2001 Alexander Ananiev & MyArch.com.  All rights reserved.

package testclass;

import TestIface;

/**
 * This class is used  by <code>ReloaderSamples</code> to demonstrate the use
 * of reloading.
 * The class is reloaded and then <code>print</code> is called.
 * This class is called by <code>TestClass</code> to demonstrate the reloading of the called
 * class.
 *
 * @author Alexander Ananiev
 */
public class TestClass2 implements TestIface {

    public void print() {
      System.out.println( this.getClass().getName()+"To test reloading, change this text and compile");
    }


}